Bug 139709 - airo_cs: infinite loop on shutdown
airo_cs: infinite loop on shutdown
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
: 139710 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2004-11-17 12:41 EST by Kjartan Maraas
Modified: 2015-01-04 17:12 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-10-02 20:56:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Kjartan Maraas 2004-11-17 12:41:11 EST
Description of problem:
If I shut down my laptop without stopping the pcmcia service the
machine enters an infinite loop where the airo driver spews the
console with a lot of diagnostics and messages saying it's waiting for
the device to become free and that the use count is still 1. I also
see the following when doing service pcmcia start/stop:

[root@localhost wireless]# service pcmcia stop
Shutting down PCMCIA services: ERROR: Module pcmcia_core is in use by
[root@localhost wireless]# service pcmcia start
Starting PCMCIA services: cardmgr[3746]: open_sock(socket 2) failed:
Bad file descriptor
cardmgr[3746]: watching 2 sockets
[root@localhost wireless]#

[root@localhost wireless]# lsmod |grep airo
airo_cs                 7237  0
airo                   64225  1 airo_cs
ds                     16965  5 airo_cs
pcmcia_core            59913  3 airo_cs,ds,yenta_socket

00:0b.0 CardBus bridge: O2 Micro, Inc. OZ711M1 SmartCardBus
MultiMediaBay Controller (rev 20)

The card is a Cisco Aironet 350
Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
Actual results:

Expected results:

Additional info:
Comment 1 Bill Nottingham 2004-11-18 03:42:30 EST
*** Bug 139710 has been marked as a duplicate of this bug. ***
Comment 2 Kjartan Maraas 2004-11-18 14:34:23 EST
I saw the Use count = 1 message using madwifi too. Maybe it's a
refcounting problem in the pcmcia subsystem itself? Could be that both
drivers do the same thing wrong of course...
Comment 3 Kjartan Maraas 2005-02-02 09:09:50 EST
Latest offender is vmware with a vmnet device spewing these warnings.
Comment 4 Dave Jones 2005-07-15 14:35:24 EDT
An update has been released for Fedora Core 3 (kernel-2.6.12-1.1372_FC3) which
may contain a fix for your problem.   Please update to this new kernel, and
report whether or not it fixes your problem.

If you have updated to Fedora Core 4 since this bug was opened, and the problem
still occurs with the latest updates for that release, please change the version
field of this bug to 'fc4'.

Thank you.
Comment 5 Dave Jones 2005-10-02 20:56:34 EDT
This bug has been automatically closed as part of a mass update.
It had been in NEEDINFO state since July 2005.
If this bug still exists in current errata kernels, please reopen this bug.

There are a large number of inactive bugs in the database, and this is the only
way to purge them.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.